ln_ell_orbit(3)

NAME
ln_ell_orbit -

Elliptic Orbital elements.

SYNOPSIS

  Data Fields
double a
double e
double i
double w
double omega
double n
double JD

Detailed Description

Elliptic Orbital elements. TODO. Angles are expressed in degrees.

Examples:
asteroid.c, and comet.c.

Field Documentation

  double ln_ell_orbit::a
Semi major axis, in AU

Referenced by ln_get_ell_body_elong(), ln_get_ell_body_phase_angle(), ln_get_ell_comet_mag(), ln_get_ell_helio_rect_posn(), ln_get_ell_orbit_avel(), ln_get_ell_orbit_len(), ln_get_ell_orbit_pvel(), and ln_get_ell_orbit_vel().

  double ln_ell_orbit::e
Eccentricity

Referenced by ln_get_ell_body_elong(), ln_get_ell_body_phase_angle(), ln_get_ell_comet_mag(), ln_get_ell_helio_rect_posn(), ln_get_ell_orbit_avel(), ln_get_ell_orbit_len(), and ln_get_ell_orbit_pvel().

  double ln_ell_orbit::i
Inclination in degrees

Referenced by ln_get_ell_helio_rect_posn().

  double ln_ell_orbit::JD
Time of last passage in Perihelion, in julian day

Referenced by ln_get_ell_body_elong(), ln_get_ell_body_phase_angle(), ln_get_ell_comet_mag(), and ln_get_ell_helio_rect_posn().

  double ln_ell_orbit::n
Mean motion, in degrees/day

Referenced by ln_get_ell_body_elong(), ln_get_ell_body_phase_angle(), ln_get_ell_comet_mag(), and ln_get_ell_helio_rect_posn().

  double ln_ell_orbit::omega
Longitude of ascending node in degrees

Referenced by ln_get_ell_helio_rect_posn().

  double ln_ell_orbit::w
Argument of perihelion in degrees

Referenced by ln_get_ell_helio_rect_posn().

Author

Generated automatically by Doxygen for libnova from the source code.